## NMSettingVrf

NMSettingVrf — Describes connection properties for vrf interfaces

## Functions

NMSetting * | nm_setting_vrf_new ()
guint32 | nm_setting_vrf_get_table ()

## Types and Values

#define | NM_SETTING_VRF_SETTING_NAME
#define | NM_SETTING_VRF_TABLE

## Description

The NMSettingVrf object is a NMSetting subclass that describes properties necessary for connection to vrf devices

## Functions

### nm_setting_vrf_new ()

    NMSetting *
    nm_setting_vrf_new (void);

Creates a new NMSettingVrf object with default values.

#### Returns

the new empty NMSettingVrf object.

[transfer full]

Since: 1.24

### nm_setting_vrf_get_table ()

    guint32
    nm_setting_vrf_get_table (NMSettingVrf *setting);

#### Parameters

setting | the NMSettingVrf |

#### Returns

the routing table for the VRF

Since: 1.24

## Types and Values

### NM_SETTING_VRF_SETTING_NAME

    #define NM_SETTING_VRF_SETTING_NAME "vrf"

### NM_SETTING_VRF_TABLE

    #define NM_SETTING_VRF_TABLE "table"